/*
 * (c) Copyright 2011 by Volker Bergmann. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, is permitted under the terms of the
 * GNU General Public License (GPL).
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * WITHOUT A WARRANTY OF ANY KIND. ALL EXPRESS OR IMPLIED CONDITIONS,
 * REPRESENTATIONS AND WARRANTIES, INCLUDING ANY IMPLIED WARRANTY OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT, ARE
 * HEREBY EXCLUDED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */

package org.databene.dbsanity.html;

/**
 * Represents an HTML &lt;font&gt;.<br/><br/>
 * Created: 05.12.2011 07:56:10
 * @since 0.9.3
 * @author Volker Bergmann
 */
public class HtmlFont extends HtmlElement<HtmlFont> {

	private Renderable content;
	
	public HtmlFont() {
		super("font", true);
	}

	public HtmlFont withSize(String size) {
		return this.withAttribute("size", size);
	}

	public HtmlFont withColor(String color) {
		return this.withAttribute("color", color);
	}

	public HtmlFont withContent(Renderable content) {
		this.content = content;
		return this;
	}
	
	@Override
	public void render(HtmlPrintWriter out) {
		renderStartTagWithAttributes(out);
		content.render(out);
		renderEndTag(out);
	}
	
}
