package org.databene.dbsanity.model;

import java.io.File;

/**
 * Combines atomic sanity checks to a composite sanity check suite.
 * @since 1.0
 * @author Volker Bergmann
 */
public class SanityCheckFile extends CheckHolderSupport {
	
	protected File sourceFile;
	private File tmpResultFile;
	private File docPage;

	public SanityCheckFile(File sourceFile, File reportFolder, File tmpResultFile, File docPage, 
			SanityCheckFolder parent) {
		super(sourceFile.getName(), reportFolder, parent);
		this.sourceFile = sourceFile;
		this.tmpResultFile = tmpResultFile;
		this.docPage = docPage;
	}

	public File getSource() {
		return sourceFile;
	}

	public File getTempFolder() {
		return tmpResultFile;
	}

	public File getDocPage() {
		return docPage;
	}

}
