package org.databene.dbsanity.model;

/**
 * Enumeration type that provides the possible result types (verdicts) of a sanity check.
 * @since 1.0
 * @author Björn Kellermann
 * @author Volker Bergmann
 */
public enum SanityCheckVerdict {
	
	/** indicates that the related check is not applicable for the checked version */
	NOT_APPLICABLE,

	/** indicates that the execution of the related check is pending */
	PENDING,
	
	/** indicates that the related check is applicable but has been filtered out */
	SKIPPED,
	
	/** indicates that the related check is currently executing */
	EXECUTING,
	
	/** indicates that the related check succeeded */
	PASSED,

	/** indicates that the related check detected defects */
	FAILED,

	/** indicates that the related check was not able to execute properly and returned a processing error */
	ERROR

}
