/*
 * (c) Copyright 2012 by Volker Bergmann. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, is permitted under the terms of the
 * GNU General Public License (GPL).
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * WITHOUT A WARRANTY OF ANY KIND. ALL EXPRESS OR IMPLIED CONDITIONS,
 * REPRESENTATIONS AND WARRANTIES, INCLUDING ANY IMPLIED WARRANTY OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT, ARE
 * HEREBY EXCLUDED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */

package org.databene.dbsanity.model.data;

/**
 * {@link Testee} implementation which iterates the rows of a database query.<br/><br/>
 * Created: 25.01.2012 12:12:23
 * @since 0.9.3
 * @author Volker Bergmann
 */
public class QueryTestee { /* TODO v1.0 extends Testee {

	private String query;
	private String checkedIndexesSpec;
	
	private PreviewIterator<Object[]> iterator;
	private int[] checkedIndexes;
	private String[] columnNames;
	
	// constructor -----------------------------------------------------------------------------------------------------
	
	public QueryTestee(String query, String checkedIndexesSpec) {
		this.query = query;
		this.checkedIndexesSpec = checkedIndexesSpec;
	}

	// Testee interface implementation ---------------------------------------------------------------------------------

	protected void onInit() {
		try {
			iterator = new PreviewIterator<Object[]>(DBUtil.iterateQueryResults(query, connection));
			calculateCheckedIndexes();
		} catch (SQLException e) {
			throw new ConfigurationError("Error executing " + this, e);
		}
	}
	
	public String[] getColumnNames() {
		assertInitialized();
		return columnNames;
	}
	
	public String getQuery() {
		return query;
	}
	
	public int[] getCheckedColumnIndexes() {
		return checkedIndexes;
	}

	public HeavyweightIterator<Object[]> iterator() {
		return iterator;
	}
	
	// private helpers -------------------------------------------------------------------------------------------------
	
	private void calculateCheckedIndexes() {
		if (!StringUtil.isEmpty(checkedIndexesSpec)) {
			String[] indexStrings = StringUtil.trimAll(checkedIndexesSpec.split(","));
			this.checkedIndexes = new int[indexStrings.length];
			for (int i = 0; i < indexStrings.length; i++)
				this.checkedIndexes[i] = Integer.parseInt(indexStrings[i]);
		} else {
			int colnum = iterator.peek().length;
			this.checkedIndexes = new int[colnum];
			for (int i = 0; i < this.checkedIndexes.length; i++)
				this.checkedIndexes[i] = i;
		}
	}
*/	
}
