/*
 * (c) Copyright 2012 by Volker Bergmann. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, is permitted under the terms of the
 * GNU General Public License (GPL).
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * WITHOUT A WARRANTY OF ANY KIND. ALL EXPRESS OR IMPLIED CONDITIONS,
 * REPRESENTATIONS AND WARRANTIES, INCLUDING ANY IMPLIED WARRANTY OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT, ARE
 * HEREBY EXCLUDED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */

package org.databene.dbsanity.model.data;

import java.sql.Connection;
import java.sql.SQLException;

import org.databene.commons.iterator.HeavyweightIteratorAdapter;
import org.databene.jdbacl.DBUtil;

/**
 * Iterates through a set of testee data rows.<br/><br/>
 * Created: 25.02.2012 11:36:15
 * @since 0.9.4
 * @author Volker Bergmann
 */
public class TesteeSampleIterator extends HeavyweightIteratorAdapter<Object[], TesteeSample> {

	private Testee testee;
	
	public TesteeSampleIterator(Testee testee, Connection connection) throws SQLException {
		super(DBUtil.iterateQueryResults(testee.getQuery(), connection));
		this.testee = testee;
	}

	public TesteeSample next() {
		return new TesteeSample(source.next(), testee);
	}

}
